question

RobBirney-5972 avatar image
0 Votes"
RobBirney-5972 asked RobBirney-5972 commented

How to get .NET Framework 4.7.2 SDK to show in Target Framework list in VS2010 (Visual Basic)

I have installed the .NET Framework 4.7.2 SDK onto my development machine successfully (I can see the 4.7.2 Targeting Pack and the ENU version in the Programs and Features list).

When I try to update Target Framework in my VS2010 Visual Basic project, I do not see 4.7.2 having been added to the list (It still shows .NET Framework 4 as the most up to date option).

How can I get 4.7.2 to show in this list so that I can select it?

dotnet-visual-basic
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

1 Answer

JiachenLiMFST-9349 avatar image
0 Votes"
JiachenLiMFST-9349 answered RobBirney-5972 commented

Hi @RobBirney-5972 ,
To target .NET Framework 4.7.2, you need a newer version of Visual Studio. VS 2010 cannot "see" or use .NET Framework 4.7.2.
VS2019 or VS2022 is recommended.
Best Regards.
Jiachen Li


If the answer is helpful, please click "Accept Answer" and upvote it.
Note: Please follow the steps in our documentation to enable e-mail notifications if you want to receive the related email notification for this thread.

· 1
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Hi Jiachen,
Thanks for confirming what I had suspected!
Rob

0 Votes 0 ·